vnstat (2.4-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add d/patches/use-sleep-in-test to work around a failing
    test, observed on s390x and hppa, but can happen anywhere.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 06 Sep 2019 21:43:24 +0200

vnstat (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.4
    - Image output has been refactored since 1.x versions (Closes: #692330)
    - Single database file avoids issue with new interfaces (Closes: #749019)
    - There is no "--create" interface option in vnstat 2.x (Closes: #881811)
    - Daemon in 2.x handles operations for if-up/down events (Closes: #722534)
    - Daemon in 2.x automatically populates vnstat database (Closes: #668969)
    - Better handling of integer rollover in kernel traffic counters including
      auto-adjust of UpdateInterval based on MaxBandwidth (Closes: #804131)

  * debian/
    - control: bump to Standards version 4.4.0 and compat level 12
      + add libsqlite3-dev build dependency (vnstat 2.x requirement)
      + add Pre-Depends ${misc:Pre-Depends} for vnstat package (Lintian)
    - patches/
      + drop timeout patch (fixed upstream) and rebase pidfile/systemd patches
      + add systemd_man.diff to fix vnstatd man path due file move upstream
    - tests/
      + remove loopback test due no "--create" option with vnstat 2.x
      + add fulltest using similar commands upstream uses for build tests
    - copyright: update entries for maintainers in debian/* files paragraph
                 and change upstream email to the correct current address
    - vnstat.install: change vnstatd man path to reflect upstream change

 -- Rob Savoury <savourytech@use.startmail.com>  Sun, 01 Sep 2019 10:09:33 -0700

vnstat (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Changes by Christian Göttsche
    - d/tests: run as root to fix debci (Closes: #907020)
    - d/control: bump to std version 4.2.1 (no further changes)

 -- Teemu Toivola <tst@iki.fi>  Tue, 23 Jul 2019 00:47:18 +0300

vnstat (1.18-2) unstable; urgency=medium

  * d/tests: fix daily test by using lo interface
  * d/control: move vcs to salsa
  * d/control: update standard version and add Rules-Requires-Root no

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 18:25:17 +0200

vnstat (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

  * debian/
    - vnstat.service: add 3s timeout for auto-restart (Closes: #814542)
    - patches/
      + rebase and drop upstream applied ones
      + (hopefully) fix kfreebsd build warning
    - bump to compat level 11 and standards version 4.1.3
    - watch: switch to github url for encrypted connection
             and check signature
    - vnstat.postinst: do not run chown recursively (thanks to Lintian)
    - upstream/metadata: supply minimal metadata
    - debian/control: use https url for project homepage

 -- Christian Göttsche <cgzones@googlemail.com>  Sun, 04 Mar 2018 21:34:00 +0100

vnstat (1.17-1) unstable; urgency=medium

  * New upstream version 1.17 (Closes: #872709)

  * debian/
    - compat: Switch to compat level 10
    - control
      + Set myself as maintainer, many thanks to Felix Geyer for his work
        (Closes: #874387)
      + Bump Standards-Version to 4.1.1
      + Update Build-Depends
    - copyright: format according to
      https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
    - examples: add systemd timer examples
    - gbp.conf: Add configuration
    - patches/
      + Rebase
      + Drop install-ordering, applied upstream
      + Add spelling patch, based on lintian findings
      + add patches for kFreeBSB implicit function declaration
    - postinst: remove version dependency
    - postrm: delete state directory and daemon user upon purge
    - rules
      + Update for compat level 10
      + Enable hardening
      + Add standard c warnings
    - tests/: Add minimal autopkgtest suite
    - vnstat.service: Use proper hook for systemd service

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 06 Oct 2017 17:38:00 +0200

vnstat (1.15-2) unstable; urgency=medium

  * Fix Makefile install-data-hook dependency. (Closes: #859712)
    - Add install-ordering.diff, thanks to Adrian Bunk.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Apr 2017 18:27:14 +0200

vnstat (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that are not needed anymore:
    - debian_build_system.diff
    - link_subunit.diff
  * Add missing dependency on lsb-release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 21:08:28 +0200

vnstat (1.14-1) unstable; urgency=medium

  * New upstream release.
    - Auto-detects max. bandwidth of interfaces. (Closes: #804868)
  * Drop patches that have been applied upstream:
    - fix_manpages.diff
    - tests_root_group.diff
  * Refrsh debian_build_system.diff.
  * Link against subunit to fix building of the tests.
    - Add link_subunit.diff

 -- Felix Geyer <fgeyer@debian.org>  Sun, 22 Nov 2015 11:28:51 +0100

vnstat (1.12-2) unstable; urgency=medium

  * Fix test failures on non-linux architectures.
    - Add tests_root_group.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 06 Sep 2014 11:15:07 +0200

vnstat (1.12-1) unstable; urgency=low

  * New upstream release.
    - Fix: Live traffic meter occasionally showing higher minimum than average
      in end statistics. (Closes: #687812)
    - Fix: Setting locale when none is specified in config. (Closes: #606397)
  * Refresh patches.
  * Build-depend on check for the new test suite.
  * Install the upstream systemd service file. (Closes: #635751)
    - Add systemd_user.diff to run vnstatd as user vnstat like the init script
      does.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 03 Sep 2014 22:55:57 +0200

vnstat (1.11-2) unstable; urgency=low

  * Adopt the package. (Closes: #632840)
  * Make sure all build flags are passed to the compiler.
    - Switch to debhelper compat level 9.
    - Update debian_build_system.diff
  * Drop unnecessary changes to Makefile in debian_build_system.diff.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Add Vcs control fields.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Drop vnstat.preinst as upgrades from version 1.6 aren't supported anymore.
  * Run the vnstat daemon as its own user.
    - Create the new user and chown the database in postinst.
    - Add pidfile_path.diff to update the pid file path in the config file.
  * Build-depend on libgd-dev instead of libgd2-xpm-dev.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Jun 2013 21:34:53 +0200

vnstat (1.11-1) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * New upstream release.
  * debian/patches/adapt_to_kfreebsd.diff:
    - Removed, applied upstream.
  * debian/patches/debian_build_system.diff,
    debian/patches/fix_manpages.diff:
    - Refresh patches for new upstream release.
  * debian/control:
    - Set Maintainer to Debian QA group.
    - Remove DMUA field.
    - Remove Vcs-* fields.
    - Bump Standards-Version to 3.9.2; no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jul 2011 17:02:51 +0200

vnstat (1.10-2) experimental; urgency=low

  * Update debian/copyright.
  * debian/control: add Vcs-* fields.
  * Enable functionality for GNU/kFreeBSD.  Thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se> for the patch.  Closes: #608963
  * Bump Standards-Version to 3.9.1; no changes required.

 -- Iulian Udrea <iulian@ubuntu.com>  Wed, 05 Jan 2011 12:48:43 +0000

vnstat (1.10-1) unstable; urgency=low

  * New maintainer.
  * Ack non-maintainer uploads.
  * debian/control:
    - Bump Standards-Version to 3.8.4; no changes required.
  * Update debian/copyright to machine-readable format
    (http://dep.debian.net/deps/dep5/).
  * Rewrite debian/rules.
  * Switch to 3.0 (quilt) source format.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 20 Apr 2010 16:52:54 +0100

vnstat (1.10-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #561297)
    + Fix manpages - present options and elements in alphabetical order.
      (Closes: #561304)
  * debian/patches:
    + refreshed fix_manpages.diff
  * debian/README.source:
    + add it because policy requires it.
  * debian/control:
    + Add ${misc:Depends} to Depends to remove lintian warning.
  * Update copyright information.

 -- Ilya Pravdivtsev <kabus1917@gmail.com>  Tue, 19 Jan 2010 00:06:14 +0300

vnstat (1.9-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    + Fix vnstat collects data from the wrong interface. (Closes: #512566)
    + Cron entry is no longer used. (Closes: #338818)
  * debian/patches:
    + updated to new version.
    + added fix_manpages.diff to remove lintian warnings
      "manpage-has-bad-whatis-entry".
  * debian/control:
    + remove Vcs-* fields.
    + added libgd2-xpm-dev to build-depends.
  * Standards-Version was bumped to 3.8.3
  * Upgrading package to debhelper 7.
  * Add package for vnstati.
  * Cron script replaced by init script.
  * Remove /etc/network/if-*.d/vnstat and /etc/ppp/ip-*.d/vnstat in preinst.
    These scripts aren't needed when the daemon is used.

 -- Ilya Pravdivtsev <kabus1917@gmail.com>  Mon, 28 Sep 2009 07:24:51 +0400

vnstat (1.6-1) unstable; urgency=low

  * New upstream release. (Closes: #456407)
    + Fix vnstat does not show any traffic. (Closes: #372943)
    + Fix 64-bit kernel produces "not enough data yet".
      (Closes: #300671)
    + Fix rx value not parsed if interface name is longer than 6
      characters. (Closes: #443168)
    + Fix impossibly large spikes of traffic. (Closes: #317350)
  * Switch from dpatch to quilt.
    + Create debian_build_system.diff by refreshing
      old 01_debian_build_system.dpatch.
    + Remove no longer needed 02_fix_manpage.dpatch.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the DM-Upload-Allowed field.
  * Fix lintian warning "debian-rules-ignores-make-clean-error
    line 33".

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 05 Feb 2008 13:55:32 +0100

vnstat (1.4-4) unstable; urgency=low

  * New maintainer. (Closes: #394800)
  * Conform to policy by using "-Wall -g -O2" as CFLAGS.
  * Add dpatch support.
  * Add debian/watch file.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Mon, 23 Oct 2006 15:05:16 +0200

vnstat (1.4-3) unstable; urgency=low

  * QA Upload.
  * ACK NMU (Closes: #336168).
  * Set maintainer to Debian QA Group.
  * Set debhelper compatibility to 5.
  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 23 Oct 2006 18:29:53 +1000

vnstat (1.4-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build on any architecture (Closes: #336168).

 -- Luk Claes <luk@debian.org>  Sun, 29 Jan 2006 10:11:49 +0100

vnstat (1.4-2) unstable; urgency=low

  * Minor script enhancements (Closes: #240341)

 -- Teemu Toivola <vergo@humdi.net>  Wed,  9 Jun 2004 12:29:28 +0300

vnstat (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Teemu Toivola <vergo@humdi.net>  Fri, 26 Mar 2004 22:29:11 +0200

vnstat (1.3-1) unstable; urgency=low

  * Initial Release.

 -- Teemu Toivola <vergo@humdi.net>  Tue, 16 Mar 2004 00:10:54 +0200
